﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using WP8Sample.Resources;
using System.Collections.ObjectModel;
using System.Windows.Data;
using Syncfusion.UI.Xaml.Charts;
using System.ComponentModel;

namespace WP8Sample
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();
        }

        private void chart_Loaded(object sender, RoutedEventArgs e)
        {
            var view = chart.Series[0].ItemsSource as ObservableCollection<Model>;
            foreach (var item in view)
            {
                if (double.IsNaN(item.Y))
                    item.Y = 20;
            }
            
        }

    }
    public class Model:INotifyPropertyChanged
    {
        public double X { get; set; }

        public event PropertyChangedEventHandler PropertyChanged;

        private void NotifyPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }

        private double yData;

        public double Y
        {
            get
            {
                return yData;
            }

            set
            {
                if (value != this.yData)
                {
                    this.yData = value;
                    NotifyPropertyChanged("Y");
                }
            }
        }
    }

    public class ViewModel 
    {
        public ViewModel()
        {
            this.Datas = new ObservableCollection<Model>();
            Datas.Add(new Model() { X = 10, Y = 25 });
            Datas.Add(new Model() { X = 20, Y = double.NaN });
            Datas.Add(new Model() { X = 30, Y = 10 });
            Datas.Add(new Model() { X = 40, Y = double.NaN });
            Datas.Add(new Model() { X = 50, Y = 30 });
            Datas.Add(new Model() { X = 60, Y = 40 });
        }

        
        public ObservableCollection<Model> Datas { get; set; }
    }

   
}